﻿<div class="card">
    <h3 class="card-title">Task</h3>



    <button class="btn btn-default btn-success btn-sm" ng-click="CreateTaskfunc()" data-toggle="modal" data-target="#myModal">Add  </button>

    <table class="table table-striped">
        <thead>
            <tr>
                <th>#</th>
                <th>Name</th>
                <th>Description</th>
                <th>AddedDate</th>
                <th>Status</th>
            </tr>
        </thead>
        <tbody ng-repeat="items in Tasks">
            <tr>
                <td>{{$index+1}}</td>
                <td>{{items.Name}}</td>
                <td>{{items.Description}}</td>
                <td>{{items.AddedDate}}</td>
                <td>{{items.Status}}</td>
                <td>
                    <!--<button class="btn btn-default btn-success btn-sm" ng-click="GetById(items.Id)" data-toggle="modal" data-target="#myModal1"><i class="fa fa-pencil" aria-hidden="true"></i> Edit </button>-->
                    <button class="btn btn-danger" ng-click="GetById(items.Id)" data-toggle="modal" data-target="#myModal1">Update </button>
                    <button type="button" class="btn btn-success" ng-click="DeleteTask(items.Id)">Delete</button>

                </td>
            </tr>
        </tbody>
    </table>
</div>


<!--  ADD TASK-->
<div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Add Task</h4>
            </div>
            <div class="modal-body">


                <form ng-submit="AddTask(Task)">
                    <div class="form-group">
                        <label class="control-label">Name</label>
                        <input class="form-control" type="text" placeholder="TaskName" ng-model="Task.Name">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Description</label>
                        <input class="form-control" type="text" placeholder="Description" ng-model="Task.Description">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Status</label>
                        <input class="form-control" type="checkbox" placeholder="status" ng-model="Task.Status">
                    </div>

                    <div>
                        <button type="submit" class="btn btn-primary icon-btn"><i class="fa fa-fw fa-lg fa-check-circle"></i>Save</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </form>



            </div>

        </div>
    </div>
</div>





<div class="modal fade" id="myModal1" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Edit Task</h4>
            </div>
            <div class="modal-body">
                <form ng-submit="UpdateTask(Task)">
                    <div class="form-group">
                        <label class="control-label">Name</label>
                        <input class="form-control" type="text" placeholder="TaskName" ng-model="Task.Name">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Description</label>
                        <input class="form-control" type="text" placeholder="Description" ng-model="Task.Description">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Status</label>
                        <input class="form-control" type="checkbox" placeholder="status" ng-model="Task.Status">
                    </div>

                    <div>
                        <button type="submit" class="btn btn-primary icon-btn"><i class="fa fa-fw fa-lg fa-check-circle"></i>Save</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </form>



            </div>

        </div>
    </div>
</div>


